@echo off
setlocal
echo DEEPBURNER: Starting...
if not exist "%~dp0deepburner.exe" (
	echo DEEPBURNER: File "%~dp0deepburner.exe" not found...
	goto _err)
if "%temp%" == "" (
	echo DEEPBURNER: No temp variable set. Try adding a ramdrive...
	goto _err)
if exist "%temp%\deepburner\deepburner.exe" goto _run
echo DEEPBURNER: Copying "%~dp0*.*" to "%temp%\deepburner\"
xcopy /y /s "%~dp0*.*" "%temp%\deepburner\"
if errorlevel 1 (
	echo DEEPBURNER: Copy failed...
	goto _err)
:_run
if not exist "%temp%\deepburner\deepburner.exe" (
	echo DEEPBURNER: File "%temp%\deepburner\deepburner.exe" not found...
	goto _err)
start "DEEPBURNER" "%temp%\deepburner\deepburner.exe"
goto _end
:_err
echo.
echo DEEPBURNER: There was an error, script aborted...
echo.
pause.
:_end
endlocal
